depends = ('ITKPyBase', 'ITKCommon', )
templates = (
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIVD22IVD22', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIVD33IVD33', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIVD44IVD44', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIVF44IVF44', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterICVD22ICVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterICVD33ICVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterICVD44ICVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterICVF44ICVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionISS2', 'itk::Image< signed short,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionISS3', 'itk::Image< signed short,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionISS4', 'itk::Image< signed short,4 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIUC2', 'itk::Image< unsigned char,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIUC3', 'itk::Image< unsigned char,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIUC4', 'itk::Image< unsigned char,4 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIF2', 'itk::Image< float,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIF3', 'itk::Image< float,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIF4', 'itk::Image< float,4 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionID2', 'itk::Image< double,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionID3', 'itk::Image< double,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionID4', 'itk::Image< double,4 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIVD22', 'itk::Image< itk::Vector< double,2 >,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIVD33', 'itk::Image< itk::Vector< double,3 >,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIVD44', 'itk::Image< itk::Vector< double,4 >,4 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIVF44', 'itk::Image< itk::Vector< float,4 >,4 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionICVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionICVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionICVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionICVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIVD22IVD22', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIVD33IVD33', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIVD44IVD44', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIVF44IVF44', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterICVD22ICVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterICVD33ICVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterICVD44ICVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterICVF44ICVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< itk::CovariantVector< float,4 >,4 >'),
)
