depends = ('ITKPyBase', 'ITKWatersheds', 'ITKVoronoi', 'ITKVTK', 'ITKThresholding', 'ITKStatistics', 'ITKSpatialObjects', 'ITKSmoothing', 'ITKRegistrationCommon', 'ITKRegionGrowing', 'ITKQuadEdgeMeshFiltering', 'ITKQuadEdgeMesh', 'ITKPath', 'ITKPDEDeformableRegistration', 'ITKOptimizers', 'ITKNarrowBand', 'ITKMesh', 'ITKMathematicalMorphology', 'ITKLevelSets', 'ITKLabelVoting', 'ITKLabelMap', 'ITKImageStatistics', 'ITKImageLabel', 'ITKImageIntensity', 'ITKImageGrid', 'ITKImageGradient', 'ITKImageFusion', 'ITKImageFunction', 'ITKImageFilterBase', 'ITKImageFeature', 'ITKImageCompose', 'ITKImageCompare', 'ITKIOVTK', 'ITKIOTransformBase', 'ITKIOTIFF', 'ITKIOStimulate', 'ITKIOSpatialObjects', 'ITKIOSiemens', 'ITKIORAW', 'ITKIOPNG', 'ITKIONRRD', 'ITKIONIFTI', 'ITKIOMeta', 'ITKIOJPEG', 'ITKIOImageBase', 'ITKIOIPL', 'ITKIOGIPL', 'ITKIOGE', 'ITKIOGDCM', 'ITKIOBioRad', 'ITKIOBMP', 'ITKFiniteDifference', 'ITKFFT', 'ITKEigen', 'ITKDistanceMap', 'ITKDisplacementField', 'ITKCurvatureFlow', 'ITKConnectedComponents', 'ITKCommon', 'ITKClassifiers', 'ITKBinaryMathematicalMorphology', 'ITKAntiAlias', 'ITKAnisotropicSmoothing', )
templates = (
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterISS2PLPP2', 'itk::Image< signed short,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUC2PLPP2', 'itk::Image< unsigned char,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIF2PLPP2', 'itk::Image< float,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterID2PLPP2', 'itk::Image< double,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterISS3PLPP3', 'itk::Image< signed short,3 >, itk::PolyLineParametricPath< 3 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUC3PLPP3', 'itk::Image< unsigned char,3 >, itk::PolyLineParametricPath< 3 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIF3PLPP3', 'itk::Image< float,3 >, itk::PolyLineParametricPath< 3 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterID3PLPP3', 'itk::Image< double,3 >, itk::PolyLineParametricPath< 3 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterISS4PLPP4', 'itk::Image< signed short,4 >, itk::PolyLineParametricPath< 4 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUC4PLPP4', 'itk::Image< unsigned char,4 >, itk::PolyLineParametricPath< 4 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIF4PLPP4', 'itk::Image< float,4 >, itk::PolyLineParametricPath< 4 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterID4PLPP4', 'itk::Image< double,4 >, itk::PolyLineParametricPath< 4 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('Bruker2DSEQImageIO', 'itk::Bruker2DSEQImageIO', 'itkBruker2DSEQImageIO'),
  ('Bruker2DSEQImageIOFactory', 'itk::Bruker2DSEQImageIOFactory', 'itkBruker2DSEQImageIOFactory'),
  ('ContourExtractor2DImageFilter', 'itk::ContourExtractor2DImageFilter', 'itkContourExtractor2DImageFilterISS2', 'itk::Image< signed short,2 >'),
  ('ContourExtractor2DImageFilter', 'itk::ContourExtractor2DImageFilter', 'itkContourExtractor2DImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('ContourExtractor2DImageFilter', 'itk::ContourExtractor2DImageFilter', 'itkContourExtractor2DImageFilterIF2', 'itk::Image< float,2 >'),
  ('ContourExtractor2DImageFilter', 'itk::ContourExtractor2DImageFilter', 'itkContourExtractor2DImageFilterID2', 'itk::Image< double,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterISS2ISS2IVD22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterISS3ISS3IVD33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterISS4ISS4IVD44', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterISS4ISS4IVF44', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIUC2IUC2IVD22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIUC3IUC3IVD33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIUC4IUC4IVD44', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIUC4IUC4IVF44', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIF2IF2IVD22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIF3IF3IVD33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIF4IF4IVD44', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIF4IF4IVF44', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterID2ID2IVD22', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterID3ID3IVD33', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterID4ID4IVD44', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterID2ID2IVF22', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterID3ID3IVF33', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterID4ID4IVF44', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('DirectFourierReconstructionImageToImageFilter', 'itk::DirectFourierReconstructionImageToImageFilter', 'itkDirectFourierReconstructionImageToImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DirectFourierReconstructionImageToImageFilter', 'itk::DirectFourierReconstructionImageToImageFilter', 'itkDirectFourierReconstructionImageToImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('DiscreteGaussianDerivativeImageFilter', 'itk::DiscreteGaussianDerivativeImageFilter', 'itkDiscreteGaussianDerivativeImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('DiscreteGaussianDerivativeImageFilter', 'itk::DiscreteGaussianDerivativeImageFilter', 'itkDiscreteGaussianDerivativeImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('DiscreteGaussianDerivativeImageFilter', 'itk::DiscreteGaussianDerivativeImageFilter', 'itkDiscreteGaussianDerivativeImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('DiscreteGaussianDerivativeImageFilter', 'itk::DiscreteGaussianDerivativeImageFilter', 'itkDiscreteGaussianDerivativeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('DiscreteGaussianDerivativeImageFilter', 'itk::DiscreteGaussianDerivativeImageFilter', 'itkDiscreteGaussianDerivativeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('DiscreteGaussianDerivativeImageFilter', 'itk::DiscreteGaussianDerivativeImageFilter', 'itkDiscreteGaussianDerivativeImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('DiscreteGaussianDerivativeImageFilter', 'itk::DiscreteGaussianDerivativeImageFilter', 'itkDiscreteGaussianDerivativeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DiscreteGaussianDerivativeImageFilter', 'itk::DiscreteGaussianDerivativeImageFilter', 'itkDiscreteGaussianDerivativeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DiscreteGaussianDerivativeImageFilter', 'itk::DiscreteGaussianDerivativeImageFilter', 'itkDiscreteGaussianDerivativeImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('DiscreteGaussianDerivativeImageFilter', 'itk::DiscreteGaussianDerivativeImageFilter', 'itkDiscreteGaussianDerivativeImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('DiscreteGaussianDerivativeImageFilter', 'itk::DiscreteGaussianDerivativeImageFilter', 'itkDiscreteGaussianDerivativeImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('DiscreteGaussianDerivativeImageFilter', 'itk::DiscreteGaussianDerivativeImageFilter', 'itkDiscreteGaussianDerivativeImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionISS2ISS2IVD22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionISS3ISS3IVD33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionISS4ISS4IVD44', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionISS4ISS4IVF44', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIUC2IUC2IVD22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIUC3IUC3IVD33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIUC4IUC4IVD44', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIUC4IUC4IVF44', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIF2IF2IVD22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIF3IF3IVD33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIF4IF4IVD44', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIF4IF4IVF44', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionID2ID2IVD22', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionID3ID3IVD33', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionID4ID4IVD44', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionID2ID2IVF22', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionID3ID3IVF33', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionID4ID4IVF44', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('FFTComplexToComplexImageFilter', 'itk::FFTComplexToComplexImageFilter', 'itkFFTComplexToComplexImageFilterICD2', 'itk::Image< std::complex< double >,2 >'),
  ('FFTComplexToComplexImageFilter', 'itk::FFTComplexToComplexImageFilter', 'itkFFTComplexToComplexImageFilterICD3', 'itk::Image< std::complex< double >,3 >'),
  ('FFTComplexToComplexImageFilter', 'itk::FFTComplexToComplexImageFilter', 'itkFFTComplexToComplexImageFilterICD4', 'itk::Image< std::complex< double >,4 >'),
  ('FFTComplexToComplexImageFilter', 'itk::FFTComplexToComplexImageFilter', 'itkFFTComplexToComplexImageFilterICF2', 'itk::Image< std::complex< float >,2 >'),
  ('FFTComplexToComplexImageFilter', 'itk::FFTComplexToComplexImageFilter', 'itkFFTComplexToComplexImageFilterICF3', 'itk::Image< std::complex< float >,3 >'),
  ('FFTComplexToComplexImageFilter', 'itk::FFTComplexToComplexImageFilter', 'itkFFTComplexToComplexImageFilterICF4', 'itk::Image< std::complex< float >,4 >'),
  ('FFTWComplexToComplexImageFilter', 'itk::FFTWComplexToComplexImageFilter', 'itkFFTWComplexToComplexImageFilterICF2', 'itk::Image< std::complex< float >,2 >'),
  ('FFTWComplexToComplexImageFilter', 'itk::FFTWComplexToComplexImageFilter', 'itkFFTWComplexToComplexImageFilterICF3', 'itk::Image< std::complex< float >,3 >'),
  ('FFTWComplexToComplexImageFilter', 'itk::FFTWComplexToComplexImageFilter', 'itkFFTWComplexToComplexImageFilterICF4', 'itk::Image< std::complex< float >,4 >'),
  ('FFTWComplexToComplexImageFilter', 'itk::FFTWComplexToComplexImageFilter', 'itkFFTWComplexToComplexImageFilterICD2', 'itk::Image< std::complex< double >,2 >'),
  ('FFTWComplexToComplexImageFilter', 'itk::FFTWComplexToComplexImageFilter', 'itkFFTWComplexToComplexImageFilterICD3', 'itk::Image< std::complex< double >,3 >'),
  ('FFTWComplexToComplexImageFilter', 'itk::FFTWComplexToComplexImageFilter', 'itkFFTWComplexToComplexImageFilterICD4', 'itk::Image< std::complex< double >,4 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterISS2ISS2IVD22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterISS3ISS3IVD33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterISS4ISS4IVD44', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterISS4ISS4IVF44', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIUC2IUC2IVD22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIUC3IUC3IVD33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIUC4IUC4IVD44', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIUC4IUC4IVF44', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIF2IF2IVD22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIF3IF3IVD33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIF4IF4IVD44', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIF4IF4IVF44', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterID2ID2IVD22', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterID3ID3IVD33', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterID4ID4IVD44', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterID2ID2IVF22', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterID3ID3IVF33', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterID4ID4IVF44', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVD22ISS2', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< signed short,2 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVD33ISS3', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< signed short,3 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVD44ISS4', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< signed short,4 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVD22IUC2', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVD33IUC3', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVD44IUC4', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< unsigned char,4 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF22ISS2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< signed short,2 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF33ISS3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< signed short,3 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF44ISS4', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< signed short,4 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF22IUC2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF33IUC3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF44IUC4', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< unsigned char,4 >'),
  ('HessianToObjectnessMeasureImageFilter', 'itk::HessianToObjectnessMeasureImageFilter', 'itkHessianToObjectnessMeasureImageFilterISSRTD22ISS2', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< signed short,2 >'),
  ('HessianToObjectnessMeasureImageFilter', 'itk::HessianToObjectnessMeasureImageFilter', 'itkHessianToObjectnessMeasureImageFilterISSRTD22IUC2', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< unsigned char,2 >'),
  ('HessianToObjectnessMeasureImageFilter', 'itk::HessianToObjectnessMeasureImageFilter', 'itkHessianToObjectnessMeasureImageFilterISSRTD22IF2', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< float,2 >'),
  ('HessianToObjectnessMeasureImageFilter', 'itk::HessianToObjectnessMeasureImageFilter', 'itkHessianToObjectnessMeasureImageFilterISSRTD22ID2', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< double,2 >'),
  ('HessianToObjectnessMeasureImageFilter', 'itk::HessianToObjectnessMeasureImageFilter', 'itkHessianToObjectnessMeasureImageFilterISSRTD33ISS3', 'itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >, itk::Image< signed short,3 >'),
  ('HessianToObjectnessMeasureImageFilter', 'itk::HessianToObjectnessMeasureImageFilter', 'itkHessianToObjectnessMeasureImageFilterISSRTD33IUC3', 'itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >, itk::Image< unsigned char,3 >'),
  ('HessianToObjectnessMeasureImageFilter', 'itk::HessianToObjectnessMeasureImageFilter', 'itkHessianToObjectnessMeasureImageFilterISSRTD33IF3', 'itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >, itk::Image< float,3 >'),
  ('HessianToObjectnessMeasureImageFilter', 'itk::HessianToObjectnessMeasureImageFilter', 'itkHessianToObjectnessMeasureImageFilterISSRTD33ID3', 'itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >, itk::Image< double,3 >'),
  ('HessianToObjectnessMeasureImageFilter', 'itk::HessianToObjectnessMeasureImageFilter', 'itkHessianToObjectnessMeasureImageFilterISSRTD44ISS4', 'itk::Image< itk::SymmetricSecondRankTensor< double, 4 >, 4 >, itk::Image< signed short,4 >'),
  ('HessianToObjectnessMeasureImageFilter', 'itk::HessianToObjectnessMeasureImageFilter', 'itkHessianToObjectnessMeasureImageFilterISSRTD44IUC4', 'itk::Image< itk::SymmetricSecondRankTensor< double, 4 >, 4 >, itk::Image< unsigned char,4 >'),
  ('HessianToObjectnessMeasureImageFilter', 'itk::HessianToObjectnessMeasureImageFilter', 'itkHessianToObjectnessMeasureImageFilterISSRTD44IF4', 'itk::Image< itk::SymmetricSecondRankTensor< double, 4 >, 4 >, itk::Image< float,4 >'),
  ('HessianToObjectnessMeasureImageFilter', 'itk::HessianToObjectnessMeasureImageFilter', 'itkHessianToObjectnessMeasureImageFilterISSRTD44ID4', 'itk::Image< itk::SymmetricSecondRankTensor< double, 4 >, 4 >, itk::Image< double,4 >'),
  ('JPEG2000ImageIO', 'itk::JPEG2000ImageIO', 'itkJPEG2000ImageIO'),
  ('JPEG2000ImageIOFactory', 'itk::JPEG2000ImageIOFactory', 'itkJPEG2000ImageIOFactory'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterISS2IUC2', 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterISS3IUC3', 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterISS4IUC4', 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUC2ISS2', 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUC3ISS3', 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUC4ISS4', 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIF2ISS2', 'itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIF3ISS3', 'itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIF4ISS4', 'itk::Image< float,4 >, itk::Image< signed short,4 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIF4IUC4', 'itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterID2ISS2', 'itk::Image< double,2 >, itk::Image< signed short,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterID3ISS3', 'itk::Image< double,3 >, itk::Image< signed short,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterID4ISS4', 'itk::Image< double,4 >, itk::Image< signed short,4 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterID2IUC2', 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterID3IUC3', 'itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterID4IUC4', 'itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterIUC2ISS2', 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterISS2ISS2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterISS2IUC2', 'itk::Image< signed short,2 >,itk::Image< unsigned char,2 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterISS2IF2', 'itk::Image< signed short,2 >,itk::Image< float,2 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterIUC2ID2', 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterISS2ID2', 'itk::Image< signed short,2 >,itk::Image< double,2 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterIUC3ISS3', 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterISS3ISS3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterISS3IUC3', 'itk::Image< signed short,3 >,itk::Image< unsigned char,3 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >,itk::Image< float,3 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterISS3IF3', 'itk::Image< signed short,3 >,itk::Image< float,3 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterIUC3ID3', 'itk::Image< unsigned char,3 >,itk::Image< double,3 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterISS3ID3', 'itk::Image< signed short,3 >,itk::Image< double,3 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterIUC4ISS4', 'itk::Image< unsigned char,4 >,itk::Image< signed short,4 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterISS4ISS4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterISS4IUC4', 'itk::Image< signed short,4 >,itk::Image< unsigned char,4 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterIUC4IF4', 'itk::Image< unsigned char,4 >,itk::Image< float,4 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterISS4IF4', 'itk::Image< signed short,4 >,itk::Image< float,4 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterIUC4ID4', 'itk::Image< unsigned char,4 >,itk::Image< double,4 >'),
  ('LabelGeometryImageFilter', 'itk::LabelGeometryImageFilter', 'itkLabelGeometryImageFilterISS4ID4', 'itk::Image< signed short,4 >,itk::Image< double,4 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterISS2ISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterISS2IUC2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< unsigned char,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUC2ISS2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUC2IUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIF2ISS2IF2SE2', 'itk::Image< float,2 >,itk::Image< signed short,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIF2IUC2IF2SE2', 'itk::Image< float,2 >,itk::Image< unsigned char,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterID2ISS2ID2SE2', 'itk::Image< double,2 >,itk::Image< signed short,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterID2IUC2ID2SE2', 'itk::Image< double,2 >,itk::Image< unsigned char,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterISS3ISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterISS3IUC3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< unsigned char,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUC3ISS3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUC3IUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIF3ISS3IF3SE3', 'itk::Image< float,3 >,itk::Image< signed short,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIF3IUC3IF3SE3', 'itk::Image< float,3 >,itk::Image< unsigned char,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterID3ISS3ID3SE3', 'itk::Image< double,3 >,itk::Image< signed short,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterID3IUC3ID3SE3', 'itk::Image< double,3 >,itk::Image< unsigned char,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterISS4ISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterISS4IUC4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< unsigned char,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUC4ISS4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< signed short,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUC4IUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIF4ISS4IF4SE4', 'itk::Image< float,4 >,itk::Image< signed short,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIF4IUC4IF4SE4', 'itk::Image< float,4 >,itk::Image< unsigned char,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterID4ISS4ID4SE4', 'itk::Image< double,4 >,itk::Image< signed short,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterID4IUC4ID4SE4', 'itk::Image< double,4 >,itk::Image< unsigned char,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterISS2IUC2', 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterISS3IUC3', 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterISS4IUC4', 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC2ISS2', 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC3ISS3', 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC4ISS4', 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF2ISS2', 'itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF3ISS3', 'itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF4ISS4', 'itk::Image< float,4 >, itk::Image< signed short,4 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF4IUC4', 'itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterID2ISS2', 'itk::Image< double,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterID3ISS3', 'itk::Image< double,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterID4ISS4', 'itk::Image< double,4 >, itk::Image< signed short,4 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterID2IUC2', 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterID3IUC3', 'itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterID4IUC4', 'itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterISS2IUC2', 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterISS3IUC3', 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterISS4IUC4', 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC2ISS2', 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC3ISS3', 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC4ISS4', 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF2ISS2', 'itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF3ISS3', 'itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF4ISS4', 'itk::Image< float,4 >, itk::Image< signed short,4 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF4IUC4', 'itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterID2ISS2', 'itk::Image< double,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterID3ISS3', 'itk::Image< double,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterID4ISS4', 'itk::Image< double,4 >, itk::Image< signed short,4 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterID2IUC2', 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterID3IUC3', 'itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterID4IUC4', 'itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('MultiScaleHessianBasedMeasureImageFilter', 'itk::MultiScaleHessianBasedMeasureImageFilter', 'itkMultiScaleHessianBasedMeasureImageFilterISS2ISSRTD22ISS2', 'itk::Image< signed short,2 >, itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< signed short,2 >'),
  ('MultiScaleHessianBasedMeasureImageFilter', 'itk::MultiScaleHessianBasedMeasureImageFilter', 'itkMultiScaleHessianBasedMeasureImageFilterIUC2ISSRTD22IUC2', 'itk::Image< unsigned char,2 >, itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< unsigned char,2 >'),
  ('MultiScaleHessianBasedMeasureImageFilter', 'itk::MultiScaleHessianBasedMeasureImageFilter', 'itkMultiScaleHessianBasedMeasureImageFilterIF2ISSRTD22IF2', 'itk::Image< float,2 >, itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< float,2 >'),
  ('MultiScaleHessianBasedMeasureImageFilter', 'itk::MultiScaleHessianBasedMeasureImageFilter', 'itkMultiScaleHessianBasedMeasureImageFilterID2ISSRTD22ID2', 'itk::Image< double,2 >, itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< double,2 >'),
  ('MultiScaleHessianBasedMeasureImageFilter', 'itk::MultiScaleHessianBasedMeasureImageFilter', 'itkMultiScaleHessianBasedMeasureImageFilterISS3ISSRTD33ISS3', 'itk::Image< signed short,3 >, itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >, itk::Image< signed short,3 >'),
  ('MultiScaleHessianBasedMeasureImageFilter', 'itk::MultiScaleHessianBasedMeasureImageFilter', 'itkMultiScaleHessianBasedMeasureImageFilterIUC3ISSRTD33IUC3', 'itk::Image< unsigned char,3 >, itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >, itk::Image< unsigned char,3 >'),
  ('MultiScaleHessianBasedMeasureImageFilter', 'itk::MultiScaleHessianBasedMeasureImageFilter', 'itkMultiScaleHessianBasedMeasureImageFilterIF3ISSRTD33IF3', 'itk::Image< float,3 >, itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >, itk::Image< float,3 >'),
  ('MultiScaleHessianBasedMeasureImageFilter', 'itk::MultiScaleHessianBasedMeasureImageFilter', 'itkMultiScaleHessianBasedMeasureImageFilterID3ISSRTD33ID3', 'itk::Image< double,3 >, itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >, itk::Image< double,3 >'),
  ('MultiScaleHessianBasedMeasureImageFilter', 'itk::MultiScaleHessianBasedMeasureImageFilter', 'itkMultiScaleHessianBasedMeasureImageFilterISS4ISSRTD44ISS4', 'itk::Image< signed short,4 >, itk::Image< itk::SymmetricSecondRankTensor< double, 4 >, 4 >, itk::Image< signed short,4 >'),
  ('MultiScaleHessianBasedMeasureImageFilter', 'itk::MultiScaleHessianBasedMeasureImageFilter', 'itkMultiScaleHessianBasedMeasureImageFilterIUC4ISSRTD44IUC4', 'itk::Image< unsigned char,4 >, itk::Image< itk::SymmetricSecondRankTensor< double, 4 >, 4 >, itk::Image< unsigned char,4 >'),
  ('MultiScaleHessianBasedMeasureImageFilter', 'itk::MultiScaleHessianBasedMeasureImageFilter', 'itkMultiScaleHessianBasedMeasureImageFilterIF4ISSRTD44IF4', 'itk::Image< float,4 >, itk::Image< itk::SymmetricSecondRankTensor< double, 4 >, 4 >, itk::Image< float,4 >'),
  ('MultiScaleHessianBasedMeasureImageFilter', 'itk::MultiScaleHessianBasedMeasureImageFilter', 'itkMultiScaleHessianBasedMeasureImageFilterID4ISSRTD44ID4', 'itk::Image< double,4 >, itk::Image< itk::SymmetricSecondRankTensor< double, 4 >, 4 >, itk::Image< double,4 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterISS2ISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterISS3ISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterISS4ISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterISS2ISS2IUC2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterISS3ISS3IUC3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterISS4ISS4IUC4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUC2IUC2ISS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUC3IUC3ISS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUC4IUC4ISS4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUC2IUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUC3IUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUC4IUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIF2IF2ISS2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIF3IF3ISS3', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIF4IF4ISS4', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< signed short,4 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIF2IF2IUC2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIF3IF3IUC3', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIF4IF4IUC4', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterID2ID2ISS2', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< signed short,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterID3ID3ISS3', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< signed short,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterID4ID4ISS4', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< signed short,4 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterID2ID2IUC2', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterID3ID3IUC3', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterID4ID4IUC4', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('ScalarChanAndVeseDenseLevelSetImageFilter', 'itk::ScalarChanAndVeseDenseLevelSetImageFilter', 'itkScalarChanAndVeseDenseLevelSetImageFilterIF2IF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ScalarChanAndVeseDenseLevelSetImageFilter', 'itk::ScalarChanAndVeseDenseLevelSetImageFilter', 'itkScalarChanAndVeseDenseLevelSetImageFilterIF3IF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ScalarChanAndVeseDenseLevelSetImageFilter', 'itk::ScalarChanAndVeseDenseLevelSetImageFilter', 'itkScalarChanAndVeseDenseLevelSetImageFilterIF4IF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ScalarChanAndVeseDenseLevelSetImageFilter', 'itk::ScalarChanAndVeseDenseLevelSetImageFilter', 'itkScalarChanAndVeseDenseLevelSetImageFilterID2ID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ScalarChanAndVeseDenseLevelSetImageFilter', 'itk::ScalarChanAndVeseDenseLevelSetImageFilter', 'itkScalarChanAndVeseDenseLevelSetImageFilterID3ID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ScalarChanAndVeseDenseLevelSetImageFilter', 'itk::ScalarChanAndVeseDenseLevelSetImageFilter', 'itkScalarChanAndVeseDenseLevelSetImageFilterID4ID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ScalarChanAndVeseLevelSetFunction', 'itk::ScalarChanAndVeseLevelSetFunction', 'itkScalarChanAndVeseLevelSetFunctionIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ScalarChanAndVeseLevelSetFunction', 'itk::ScalarChanAndVeseLevelSetFunction', 'itkScalarChanAndVeseLevelSetFunctionIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ScalarChanAndVeseLevelSetFunction', 'itk::ScalarChanAndVeseLevelSetFunction', 'itkScalarChanAndVeseLevelSetFunctionIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ScalarChanAndVeseLevelSetFunction', 'itk::ScalarChanAndVeseLevelSetFunction', 'itkScalarChanAndVeseLevelSetFunctionID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ScalarChanAndVeseLevelSetFunction', 'itk::ScalarChanAndVeseLevelSetFunction', 'itkScalarChanAndVeseLevelSetFunctionID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ScalarChanAndVeseLevelSetFunction', 'itk::ScalarChanAndVeseLevelSetFunction', 'itkScalarChanAndVeseLevelSetFunctionID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ScalarChanAndVeseSparseLevelSetImageFilter', 'itk::ScalarChanAndVeseSparseLevelSetImageFilter', 'itkScalarChanAndVeseSparseLevelSetImageFilterIF2IF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ScalarChanAndVeseSparseLevelSetImageFilter', 'itk::ScalarChanAndVeseSparseLevelSetImageFilter', 'itkScalarChanAndVeseSparseLevelSetImageFilterIF3IF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ScalarChanAndVeseSparseLevelSetImageFilter', 'itk::ScalarChanAndVeseSparseLevelSetImageFilter', 'itkScalarChanAndVeseSparseLevelSetImageFilterIF4IF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ScalarChanAndVeseSparseLevelSetImageFilter', 'itk::ScalarChanAndVeseSparseLevelSetImageFilter', 'itkScalarChanAndVeseSparseLevelSetImageFilterID2ID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ScalarChanAndVeseSparseLevelSetImageFilter', 'itk::ScalarChanAndVeseSparseLevelSetImageFilter', 'itkScalarChanAndVeseSparseLevelSetImageFilterID3ID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ScalarChanAndVeseSparseLevelSetImageFilter', 'itk::ScalarChanAndVeseSparseLevelSetImageFilter', 'itkScalarChanAndVeseSparseLevelSetImageFilterID4ID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< double,4 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterISS2IUC2', 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterISS3IUC3', 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterISS4IUC4', 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterIUC2ISS2', 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterIUC3ISS3', 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterIUC4ISS4', 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterIF2ISS2', 'itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterIF3ISS3', 'itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterIF4ISS4', 'itk::Image< float,4 >, itk::Image< signed short,4 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterIF4IUC4', 'itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterID2ISS2', 'itk::Image< double,2 >, itk::Image< signed short,2 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterID3ISS3', 'itk::Image< double,3 >, itk::Image< signed short,3 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterID4ISS4', 'itk::Image< double,4 >, itk::Image< signed short,4 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterID2IUC2', 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterID3IUC3', 'itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('StochasticFractalDimensionImageFilter', 'itk::StochasticFractalDimensionImageFilter', 'itkStochasticFractalDimensionImageFilterID4IUC4', 'itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('VoxBoCUBImageIO', 'itk::VoxBoCUBImageIO', 'itkVoxBoCUBImageIO'),
  ('VoxBoCUBImageIOFactory', 'itk::VoxBoCUBImageIOFactory', 'itkVoxBoCUBImageIOFactory'),
)
